# Content API: Files

## GET /api/content/files-activities/{activity}

> Retrieves one specific file activity

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"FileActivityModel":{"type":"object","properties":{"activityId":{"type":"string","format":"uuid"},"fileId":{"type":"string","format":"uuid"},"organizationId":{"type":"string","format":"uuid"},"userId":{"type":"string","format":"uuid"},"activityChanges":{"type":"string","nullable":true},"activityTime":{"type":"string","format":"date-time"}},"additionalProperties":false}}},"paths":{"/api/content/files-activities/{activity}":{"get":{"tags":["Content API: Files"],"summary":"Retrieves one specific file activity","operationId":"retrieveFileActivity","parameters":[{"name":"activity","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FileActivityModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/FileActivityModel"}}}}}}}}}
```

## PUT /api/content/files-activities/{activity}

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"ModifyFileActivity":{"type":"object","properties":{"activityId":{"type":"string","format":"uuid"},"fileId":{"type":"string","format":"uuid"},"userId":{"type":"string","format":"uuid"},"activityChanges":{"type":"string","nullable":true},"activityTime":{"type":"string","format":"date-time"}},"additionalProperties":false},"ValidationFailure":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/Problem"},"nullable":true}},"additionalProperties":false},"Problem":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true},"extensions":{"type":"object","additionalProperties":{"nullable":true},"nullable":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/content/files-activities/{activity}":{"put":{"tags":["Content API: Files"],"operationId":"modifyFileActivity","parameters":[{"name":"activity","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/ModifyFileActivity"}},"application/json":{"schema":{"$ref":"#/components/schemas/ModifyFileActivity"}},"text/json":{"schema":{"$ref":"#/components/schemas/ModifyFileActivity"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/ModifyFileActivity"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationFailure"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## DELETE /api/content/files-activities/{activity}

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/content/files-activities/{activity}":{"delete":{"tags":["Content API: Files"],"operationId":"deleteFileActivity","parameters":[{"name":"activity","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## HEAD /api/content/files-activities/{activity}

> Checks for the existence of one specific file activity

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}}},"paths":{"/api/content/files-activities/{activity}":{"head":{"tags":["Content API: Files"],"summary":"Checks for the existence of one specific file activity","operationId":"assertFileActivity","parameters":[{"name":"activity","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}},"text/json":{"schema":{"type":"boolean"}}}}}}}}}
```

## POST /api/content/files-activities/collect

> Collects the list of file activities that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectFileActivities":{"type":"object","properties":{"identifier":{"type":"string","format":"uuid","nullable":true},"origin":{"$ref":"#/components/schemas/Origin"},"filter":{"$ref":"#/components/schemas/QueryFilter"},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"nullable":true},"fileId":{"type":"string","format":"uuid","nullable":true},"organizationId":{"type":"string","format":"uuid","nullable":true},"userId":{"type":"string","format":"uuid","nullable":true},"activityChanges":{"type":"string","nullable":true},"activityTime":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"Origin":{"type":"object","properties":{"when":{"type":"string","format":"date-time"},"organization":{"type":"string","format":"uuid"},"user":{"type":"string","format":"uuid"},"proxy":{"type":"string","format":"uuid","nullable":true},"description":{"type":"string","nullable":true},"reason":{"type":"string","nullable":true},"source":{"type":"string","nullable":true}},"additionalProperties":false},"QueryFilter":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"sort":{"type":"string","nullable":true},"excludes":{"type":"string","nullable":true},"includes":{"type":"string","nullable":true},"format":{"type":"string","nullable":true}},"additionalProperties":false},"FileActivityModel":{"type":"object","properties":{"activityId":{"type":"string","format":"uuid"},"fileId":{"type":"string","format":"uuid"},"organizationId":{"type":"string","format":"uuid"},"userId":{"type":"string","format":"uuid"},"activityChanges":{"type":"string","nullable":true},"activityTime":{"type":"string","format":"date-time"}},"additionalProperties":false}}},"paths":{"/api/content/files-activities/collect":{"post":{"tags":["Content API: Files"],"summary":"Collects the list of file activities that match specific criteria","operationId":"collectFileActivities","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectFileActivities"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectFileActivities"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectFileActivities"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectFileActivities"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FileActivityModel"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FileActivityModel"}}}}}}}}}}
```

## POST /api/content/files-activities/count

> Counts the file activities that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CountFileActivities":{"type":"object","properties":{"identifier":{"type":"string","format":"uuid","nullable":true},"origin":{"$ref":"#/components/schemas/Origin"},"filter":{"$ref":"#/components/schemas/QueryFilter"},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"nullable":true},"fileId":{"type":"string","format":"uuid","nullable":true},"organizationId":{"type":"string","format":"uuid","nullable":true},"userId":{"type":"string","format":"uuid","nullable":true},"activityChanges":{"type":"string","nullable":true},"activityTime":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"Origin":{"type":"object","properties":{"when":{"type":"string","format":"date-time"},"organization":{"type":"string","format":"uuid"},"user":{"type":"string","format":"uuid"},"proxy":{"type":"string","format":"uuid","nullable":true},"description":{"type":"string","nullable":true},"reason":{"type":"string","nullable":true},"source":{"type":"string","nullable":true}},"additionalProperties":false},"QueryFilter":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"sort":{"type":"string","nullable":true},"excludes":{"type":"string","nullable":true},"includes":{"type":"string","nullable":true},"format":{"type":"string","nullable":true}},"additionalProperties":false},"CountResult":{"type":"object","properties":{"count":{"type":"integer","format":"int32"},"summary":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/content/files-activities/count":{"post":{"tags":["Content API: Files"],"summary":"Counts the file activities that match specific criteria","operationId":"countFileActivities","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CountFileActivities"}},"application/json":{"schema":{"$ref":"#/components/schemas/CountFileActivities"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountFileActivities"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CountFileActivities"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CountResult"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountResult"}}}}}}}}}
```

## POST /api/content/files-activities/download

> Downloads the list of file activities that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectFileActivities":{"type":"object","properties":{"identifier":{"type":"string","format":"uuid","nullable":true},"origin":{"$ref":"#/components/schemas/Origin"},"filter":{"$ref":"#/components/schemas/QueryFilter"},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"nullable":true},"fileId":{"type":"string","format":"uuid","nullable":true},"organizationId":{"type":"string","format":"uuid","nullable":true},"userId":{"type":"string","format":"uuid","nullable":true},"activityChanges":{"type":"string","nullable":true},"activityTime":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"Origin":{"type":"object","properties":{"when":{"type":"string","format":"date-time"},"organization":{"type":"string","format":"uuid"},"user":{"type":"string","format":"uuid"},"proxy":{"type":"string","format":"uuid","nullable":true},"description":{"type":"string","nullable":true},"reason":{"type":"string","nullable":true},"source":{"type":"string","nullable":true}},"additionalProperties":false},"QueryFilter":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"sort":{"type":"string","nullable":true},"excludes":{"type":"string","nullable":true},"includes":{"type":"string","nullable":true},"format":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/content/files-activities/download":{"post":{"tags":["Content API: Files"],"summary":"Downloads the list of file activities that match specific criteria","operationId":"downloadFileActivities","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectFileActivities"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectFileActivities"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectFileActivities"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectFileActivities"}}}},"responses":{"200":{"description":"OK"}}}}}}
```

## POST /api/content/files-activities/search

> Searches for the list of file activities that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"SearchFileActivities":{"type":"object","properties":{"identifier":{"type":"string","format":"uuid","nullable":true},"origin":{"$ref":"#/components/schemas/Origin"},"filter":{"$ref":"#/components/schemas/QueryFilter"},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"nullable":true},"fileId":{"type":"string","format":"uuid","nullable":true},"organizationId":{"type":"string","format":"uuid","nullable":true},"userId":{"type":"string","format":"uuid","nullable":true},"activityChanges":{"type":"string","nullable":true},"activityTime":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"Origin":{"type":"object","properties":{"when":{"type":"string","format":"date-time"},"organization":{"type":"string","format":"uuid"},"user":{"type":"string","format":"uuid"},"proxy":{"type":"string","format":"uuid","nullable":true},"description":{"type":"string","nullable":true},"reason":{"type":"string","nullable":true},"source":{"type":"string","nullable":true}},"additionalProperties":false},"QueryFilter":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"sort":{"type":"string","nullable":true},"excludes":{"type":"string","nullable":true},"includes":{"type":"string","nullable":true},"format":{"type":"string","nullable":true}},"additionalProperties":false},"FileActivityMatch":{"type":"object","properties":{"activityId":{"type":"string","format":"uuid"}},"additionalProperties":false}}},"paths":{"/api/content/files-activities/search":{"post":{"tags":["Content API: Files"],"summary":"Searches for the list of file activities that match specific criteria","operationId":"searchFileActivities","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/SearchFileActivities"}},"application/json":{"schema":{"$ref":"#/components/schemas/SearchFileActivities"}},"text/json":{"schema":{"$ref":"#/components/schemas/SearchFileActivities"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/SearchFileActivities"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FileActivityMatch"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FileActivityMatch"}}}}}}}}}}
```

## POST /api/content/files-activities

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CreateFileActivity":{"type":"object","properties":{"activityId":{"type":"string","format":"uuid"},"fileId":{"type":"string","format":"uuid"},"userId":{"type":"string","format":"uuid"},"activityChanges":{"type":"string","nullable":true},"activityTime":{"type":"string","format":"date-time"}},"additionalProperties":false},"FileActivityModel":{"type":"object","properties":{"activityId":{"type":"string","format":"uuid"},"fileId":{"type":"string","format":"uuid"},"organizationId":{"type":"string","format":"uuid"},"userId":{"type":"string","format":"uuid"},"activityChanges":{"type":"string","nullable":true},"activityTime":{"type":"string","format":"date-time"}},"additionalProperties":false},"ValidationFailure":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/Problem"},"nullable":true}},"additionalProperties":false},"Problem":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true},"extensions":{"type":"object","additionalProperties":{"nullable":true},"nullable":true}},"additionalProperties":false}}},"paths":{"/api/content/files-activities":{"post":{"tags":["Content API: Files"],"operationId":"createFileActivity","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CreateFileActivity"}},"application/json":{"schema":{"$ref":"#/components/schemas/CreateFileActivity"}},"text/json":{"schema":{"$ref":"#/components/schemas/CreateFileActivity"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CreateFileActivity"}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FileActivityModel"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationFailure"}}}}}}}}}
```

## GET /api/content/files-claims/{claim}

> Retrieves one specific file claim

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"FileClaimModel":{"type":"object","properties":{"claimId":{"type":"string","format":"uuid"},"fileId":{"type":"string","format":"uuid"},"objectId":{"type":"string","format":"uuid"},"organizationId":{"type":"string","format":"uuid"},"objectType":{"type":"string","nullable":true},"claimGranted":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false}}},"paths":{"/api/content/files-claims/{claim}":{"get":{"tags":["Content API: Files"],"summary":"Retrieves one specific file claim","operationId":"retrieveFileClaim","parameters":[{"name":"claim","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FileClaimModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/FileClaimModel"}}}}}}}}}
```

## PUT /api/content/files-claims/{claim}

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"ModifyFileClaim":{"type":"object","properties":{"claimId":{"type":"string","format":"uuid"},"fileId":{"type":"string","format":"uuid"},"objectId":{"type":"string","format":"uuid"},"objectType":{"type":"string","nullable":true},"claimGranted":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"ValidationFailure":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/Problem"},"nullable":true}},"additionalProperties":false},"Problem":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true},"extensions":{"type":"object","additionalProperties":{"nullable":true},"nullable":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/content/files-claims/{claim}":{"put":{"tags":["Content API: Files"],"operationId":"modifyFileClaim","parameters":[{"name":"claim","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/ModifyFileClaim"}},"application/json":{"schema":{"$ref":"#/components/schemas/ModifyFileClaim"}},"text/json":{"schema":{"$ref":"#/components/schemas/ModifyFileClaim"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/ModifyFileClaim"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationFailure"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## DELETE /api/content/files-claims/{claim}

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/content/files-claims/{claim}":{"delete":{"tags":["Content API: Files"],"operationId":"deleteFileClaim","parameters":[{"name":"claim","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## HEAD /api/content/files-claims/{claim}

> Checks for the existence of one specific file claim

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}}},"paths":{"/api/content/files-claims/{claim}":{"head":{"tags":["Content API: Files"],"summary":"Checks for the existence of one specific file claim","operationId":"assertFileClaim","parameters":[{"name":"claim","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}},"text/json":{"schema":{"type":"boolean"}}}}}}}}}
```

## POST /api/content/files-claims/collect

> Collects the list of file claims that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectFileClaims":{"type":"object","properties":{"identifier":{"type":"string","format":"uuid","nullable":true},"origin":{"$ref":"#/components/schemas/Origin"},"filter":{"$ref":"#/components/schemas/QueryFilter"},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"nullable":true},"fileId":{"type":"string","format":"uuid","nullable":true},"objectId":{"type":"string","format":"uuid","nullable":true},"organizationId":{"type":"string","format":"uuid","nullable":true},"objectType":{"type":"string","nullable":true},"claimGranted":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"Origin":{"type":"object","properties":{"when":{"type":"string","format":"date-time"},"organization":{"type":"string","format":"uuid"},"user":{"type":"string","format":"uuid"},"proxy":{"type":"string","format":"uuid","nullable":true},"description":{"type":"string","nullable":true},"reason":{"type":"string","nullable":true},"source":{"type":"string","nullable":true}},"additionalProperties":false},"QueryFilter":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"sort":{"type":"string","nullable":true},"excludes":{"type":"string","nullable":true},"includes":{"type":"string","nullable":true},"format":{"type":"string","nullable":true}},"additionalProperties":false},"FileClaimModel":{"type":"object","properties":{"claimId":{"type":"string","format":"uuid"},"fileId":{"type":"string","format":"uuid"},"objectId":{"type":"string","format":"uuid"},"organizationId":{"type":"string","format":"uuid"},"objectType":{"type":"string","nullable":true},"claimGranted":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false}}},"paths":{"/api/content/files-claims/collect":{"post":{"tags":["Content API: Files"],"summary":"Collects the list of file claims that match specific criteria","operationId":"collectFileClaims","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectFileClaims"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectFileClaims"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectFileClaims"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectFileClaims"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FileClaimModel"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FileClaimModel"}}}}}}}}}}
```

## POST /api/content/files-claims/count

> Counts the file claims that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CountFileClaims":{"type":"object","properties":{"identifier":{"type":"string","format":"uuid","nullable":true},"origin":{"$ref":"#/components/schemas/Origin"},"filter":{"$ref":"#/components/schemas/QueryFilter"},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"nullable":true},"fileId":{"type":"string","format":"uuid","nullable":true},"objectId":{"type":"string","format":"uuid","nullable":true},"organizationId":{"type":"string","format":"uuid","nullable":true},"objectType":{"type":"string","nullable":true},"claimGranted":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"Origin":{"type":"object","properties":{"when":{"type":"string","format":"date-time"},"organization":{"type":"string","format":"uuid"},"user":{"type":"string","format":"uuid"},"proxy":{"type":"string","format":"uuid","nullable":true},"description":{"type":"string","nullable":true},"reason":{"type":"string","nullable":true},"source":{"type":"string","nullable":true}},"additionalProperties":false},"QueryFilter":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"sort":{"type":"string","nullable":true},"excludes":{"type":"string","nullable":true},"includes":{"type":"string","nullable":true},"format":{"type":"string","nullable":true}},"additionalProperties":false},"CountResult":{"type":"object","properties":{"count":{"type":"integer","format":"int32"},"summary":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/content/files-claims/count":{"post":{"tags":["Content API: Files"],"summary":"Counts the file claims that match specific criteria","operationId":"countFileClaims","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CountFileClaims"}},"application/json":{"schema":{"$ref":"#/components/schemas/CountFileClaims"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountFileClaims"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CountFileClaims"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CountResult"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountResult"}}}}}}}}}
```

## POST /api/content/files-claims/download

> Downloads the list of file claims that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectFileClaims":{"type":"object","properties":{"identifier":{"type":"string","format":"uuid","nullable":true},"origin":{"$ref":"#/components/schemas/Origin"},"filter":{"$ref":"#/components/schemas/QueryFilter"},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"nullable":true},"fileId":{"type":"string","format":"uuid","nullable":true},"objectId":{"type":"string","format":"uuid","nullable":true},"organizationId":{"type":"string","format":"uuid","nullable":true},"objectType":{"type":"string","nullable":true},"claimGranted":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"Origin":{"type":"object","properties":{"when":{"type":"string","format":"date-time"},"organization":{"type":"string","format":"uuid"},"user":{"type":"string","format":"uuid"},"proxy":{"type":"string","format":"uuid","nullable":true},"description":{"type":"string","nullable":true},"reason":{"type":"string","nullable":true},"source":{"type":"string","nullable":true}},"additionalProperties":false},"QueryFilter":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"sort":{"type":"string","nullable":true},"excludes":{"type":"string","nullable":true},"includes":{"type":"string","nullable":true},"format":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/content/files-claims/download":{"post":{"tags":["Content API: Files"],"summary":"Downloads the list of file claims that match specific criteria","operationId":"downloadFileClaims","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectFileClaims"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectFileClaims"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectFileClaims"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectFileClaims"}}}},"responses":{"200":{"description":"OK"}}}}}}
```

## POST /api/content/files-claims/search

> Searches for the list of file claims that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"SearchFileClaims":{"type":"object","properties":{"identifier":{"type":"string","format":"uuid","nullable":true},"origin":{"$ref":"#/components/schemas/Origin"},"filter":{"$ref":"#/components/schemas/QueryFilter"},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"nullable":true},"fileId":{"type":"string","format":"uuid","nullable":true},"objectId":{"type":"string","format":"uuid","nullable":true},"organizationId":{"type":"string","format":"uuid","nullable":true},"objectType":{"type":"string","nullable":true},"claimGranted":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"Origin":{"type":"object","properties":{"when":{"type":"string","format":"date-time"},"organization":{"type":"string","format":"uuid"},"user":{"type":"string","format":"uuid"},"proxy":{"type":"string","format":"uuid","nullable":true},"description":{"type":"string","nullable":true},"reason":{"type":"string","nullable":true},"source":{"type":"string","nullable":true}},"additionalProperties":false},"QueryFilter":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"sort":{"type":"string","nullable":true},"excludes":{"type":"string","nullable":true},"includes":{"type":"string","nullable":true},"format":{"type":"string","nullable":true}},"additionalProperties":false},"FileClaimMatch":{"type":"object","properties":{"claimId":{"type":"string","format":"uuid"}},"additionalProperties":false}}},"paths":{"/api/content/files-claims/search":{"post":{"tags":["Content API: Files"],"summary":"Searches for the list of file claims that match specific criteria","operationId":"searchFileClaims","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/SearchFileClaims"}},"application/json":{"schema":{"$ref":"#/components/schemas/SearchFileClaims"}},"text/json":{"schema":{"$ref":"#/components/schemas/SearchFileClaims"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/SearchFileClaims"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FileClaimMatch"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FileClaimMatch"}}}}}}}}}}
```

## POST /api/content/files-claims

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CreateFileClaim":{"type":"object","properties":{"claimId":{"type":"string","format":"uuid"},"fileId":{"type":"string","format":"uuid"},"objectId":{"type":"string","format":"uuid"},"objectType":{"type":"string","nullable":true},"claimGranted":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"FileClaimModel":{"type":"object","properties":{"claimId":{"type":"string","format":"uuid"},"fileId":{"type":"string","format":"uuid"},"objectId":{"type":"string","format":"uuid"},"organizationId":{"type":"string","format":"uuid"},"objectType":{"type":"string","nullable":true},"claimGranted":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"ValidationFailure":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/Problem"},"nullable":true}},"additionalProperties":false},"Problem":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true},"extensions":{"type":"object","additionalProperties":{"nullable":true},"nullable":true}},"additionalProperties":false}}},"paths":{"/api/content/files-claims":{"post":{"tags":["Content API: Files"],"operationId":"createFileClaim","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CreateFileClaim"}},"application/json":{"schema":{"$ref":"#/components/schemas/CreateFileClaim"}},"text/json":{"schema":{"$ref":"#/components/schemas/CreateFileClaim"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CreateFileClaim"}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FileClaimModel"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationFailure"}}}}}}}}}
```

## GET /api/content/files/{file}

> Retrieves one specific file

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"FileModel":{"type":"object","properties":{"approvedUserId":{"type":"string","format":"uuid","nullable":true},"fileId":{"type":"string","format":"uuid"},"lastActivityUserId":{"type":"string","format":"uuid","nullable":true},"objectId":{"type":"string","format":"uuid"},"organizationId":{"type":"string","format":"uuid"},"reviewedUserId":{"type":"string","format":"uuid","nullable":true},"userId":{"type":"string","format":"uuid"},"documentName":{"type":"string","nullable":true},"fileCategory":{"type":"string","nullable":true},"fileContentType":{"type":"string","nullable":true},"fileDescription":{"type":"string","nullable":true},"fileLocation":{"type":"string","nullable":true},"fileName":{"type":"string","nullable":true},"filePath":{"type":"string","nullable":true},"fileStatus":{"type":"string","nullable":true},"fileSubcategory":{"type":"string","nullable":true},"fileUrl":{"type":"string","nullable":true},"objectType":{"type":"string","nullable":true},"fileSize":{"type":"integer","format":"int32"},"approvedTime":{"type":"string","format":"date-time","nullable":true},"fileAlternated":{"type":"string","format":"date-time","nullable":true},"fileExpiry":{"type":"string","format":"date-time","nullable":true},"fileReceived":{"type":"string","format":"date-time","nullable":true},"fileUploaded":{"type":"string","format":"date-time"},"lastActivityTime":{"type":"string","format":"date-time","nullable":true},"reviewedTime":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false}}},"paths":{"/api/content/files/{file}":{"get":{"tags":["Content API: Files"],"summary":"Retrieves one specific file","operationId":"retrieveFile","parameters":[{"name":"file","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FileModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/FileModel"}}}}}}}}}
```

## PUT /api/content/files/{file}

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"ModifyFile":{"type":"object","properties":{"approvedUserId":{"type":"string","format":"uuid","nullable":true},"fileId":{"type":"string","format":"uuid"},"lastActivityUserId":{"type":"string","format":"uuid","nullable":true},"objectId":{"type":"string","format":"uuid"},"organizationId":{"type":"string","format":"uuid"},"reviewedUserId":{"type":"string","format":"uuid","nullable":true},"userId":{"type":"string","format":"uuid"},"documentName":{"type":"string","nullable":true},"fileCategory":{"type":"string","nullable":true},"fileContentType":{"type":"string","nullable":true},"fileDescription":{"type":"string","nullable":true},"fileLocation":{"type":"string","nullable":true},"fileName":{"type":"string","nullable":true},"filePath":{"type":"string","nullable":true},"fileStatus":{"type":"string","nullable":true},"fileSubcategory":{"type":"string","nullable":true},"fileUrl":{"type":"string","nullable":true},"objectType":{"type":"string","nullable":true},"fileSize":{"type":"integer","format":"int32"},"approvedTime":{"type":"string","format":"date-time","nullable":true},"fileAlternated":{"type":"string","format":"date-time","nullable":true},"fileExpiry":{"type":"string","format":"date-time","nullable":true},"fileReceived":{"type":"string","format":"date-time","nullable":true},"fileUploaded":{"type":"string","format":"date-time"},"lastActivityTime":{"type":"string","format":"date-time","nullable":true},"reviewedTime":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"ValidationFailure":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/Problem"},"nullable":true}},"additionalProperties":false},"Problem":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true},"extensions":{"type":"object","additionalProperties":{"nullable":true},"nullable":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/content/files/{file}":{"put":{"tags":["Content API: Files"],"operationId":"modifyFile","parameters":[{"name":"file","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/ModifyFile"}},"application/json":{"schema":{"$ref":"#/components/schemas/ModifyFile"}},"text/json":{"schema":{"$ref":"#/components/schemas/ModifyFile"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/ModifyFile"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationFailure"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## DELETE /api/content/files/{file}

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/content/files/{file}":{"delete":{"tags":["Content API: Files"],"operationId":"deleteFile","parameters":[{"name":"file","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## HEAD /api/content/files/{file}

> Checks for the existence of one specific file

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}}},"paths":{"/api/content/files/{file}":{"head":{"tags":["Content API: Files"],"summary":"Checks for the existence of one specific file","operationId":"assertFile","parameters":[{"name":"file","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}},"text/json":{"schema":{"type":"boolean"}}}}}}}}}
```

## POST /api/content/files/collect

> Collects the list of files that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectFiles":{"type":"object","properties":{"identifier":{"type":"string","format":"uuid","nullable":true},"origin":{"$ref":"#/components/schemas/Origin"},"filter":{"$ref":"#/components/schemas/QueryFilter"},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"nullable":true},"objectId":{"type":"string","format":"uuid","nullable":true},"organizationId":{"type":"string","format":"uuid","nullable":true},"userId":{"type":"string","format":"uuid","nullable":true},"fileIds":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"objectTypeExact":{"type":"string","nullable":true},"objectIdentifierContains":{"type":"string","nullable":true},"fileNameContains":{"type":"string","nullable":true},"documentNameContains":{"type":"string","nullable":true},"fileUploadedSince":{"type":"string","format":"date-time","nullable":true},"fileUploadedBefore":{"type":"string","format":"date-time","nullable":true},"hasClaims":{"type":"boolean","nullable":true}},"additionalProperties":false},"Origin":{"type":"object","properties":{"when":{"type":"string","format":"date-time"},"organization":{"type":"string","format":"uuid"},"user":{"type":"string","format":"uuid"},"proxy":{"type":"string","format":"uuid","nullable":true},"description":{"type":"string","nullable":true},"reason":{"type":"string","nullable":true},"source":{"type":"string","nullable":true}},"additionalProperties":false},"QueryFilter":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"sort":{"type":"string","nullable":true},"excludes":{"type":"string","nullable":true},"includes":{"type":"string","nullable":true},"format":{"type":"string","nullable":true}},"additionalProperties":false},"FileModel":{"type":"object","properties":{"approvedUserId":{"type":"string","format":"uuid","nullable":true},"fileId":{"type":"string","format":"uuid"},"lastActivityUserId":{"type":"string","format":"uuid","nullable":true},"objectId":{"type":"string","format":"uuid"},"organizationId":{"type":"string","format":"uuid"},"reviewedUserId":{"type":"string","format":"uuid","nullable":true},"userId":{"type":"string","format":"uuid"},"documentName":{"type":"string","nullable":true},"fileCategory":{"type":"string","nullable":true},"fileContentType":{"type":"string","nullable":true},"fileDescription":{"type":"string","nullable":true},"fileLocation":{"type":"string","nullable":true},"fileName":{"type":"string","nullable":true},"filePath":{"type":"string","nullable":true},"fileStatus":{"type":"string","nullable":true},"fileSubcategory":{"type":"string","nullable":true},"fileUrl":{"type":"string","nullable":true},"objectType":{"type":"string","nullable":true},"fileSize":{"type":"integer","format":"int32"},"approvedTime":{"type":"string","format":"date-time","nullable":true},"fileAlternated":{"type":"string","format":"date-time","nullable":true},"fileExpiry":{"type":"string","format":"date-time","nullable":true},"fileReceived":{"type":"string","format":"date-time","nullable":true},"fileUploaded":{"type":"string","format":"date-time"},"lastActivityTime":{"type":"string","format":"date-time","nullable":true},"reviewedTime":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false}}},"paths":{"/api/content/files/collect":{"post":{"tags":["Content API: Files"],"summary":"Collects the list of files that match specific criteria","operationId":"collectFiles","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectFiles"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectFiles"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectFiles"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectFiles"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FileModel"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FileModel"}}}}}}}}}}
```

## POST /api/content/files/count

> Counts the files that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CountFiles":{"type":"object","properties":{"identifier":{"type":"string","format":"uuid","nullable":true},"origin":{"$ref":"#/components/schemas/Origin"},"filter":{"$ref":"#/components/schemas/QueryFilter"},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"nullable":true},"objectId":{"type":"string","format":"uuid","nullable":true},"organizationId":{"type":"string","format":"uuid","nullable":true},"userId":{"type":"string","format":"uuid","nullable":true},"fileIds":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"objectTypeExact":{"type":"string","nullable":true},"objectIdentifierContains":{"type":"string","nullable":true},"fileNameContains":{"type":"string","nullable":true},"documentNameContains":{"type":"string","nullable":true},"fileUploadedSince":{"type":"string","format":"date-time","nullable":true},"fileUploadedBefore":{"type":"string","format":"date-time","nullable":true},"hasClaims":{"type":"boolean","nullable":true}},"additionalProperties":false},"Origin":{"type":"object","properties":{"when":{"type":"string","format":"date-time"},"organization":{"type":"string","format":"uuid"},"user":{"type":"string","format":"uuid"},"proxy":{"type":"string","format":"uuid","nullable":true},"description":{"type":"string","nullable":true},"reason":{"type":"string","nullable":true},"source":{"type":"string","nullable":true}},"additionalProperties":false},"QueryFilter":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"sort":{"type":"string","nullable":true},"excludes":{"type":"string","nullable":true},"includes":{"type":"string","nullable":true},"format":{"type":"string","nullable":true}},"additionalProperties":false},"CountResult":{"type":"object","properties":{"count":{"type":"integer","format":"int32"},"summary":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/content/files/count":{"post":{"tags":["Content API: Files"],"summary":"Counts the files that match specific criteria","operationId":"countFiles","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CountFiles"}},"application/json":{"schema":{"$ref":"#/components/schemas/CountFiles"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountFiles"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CountFiles"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CountResult"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountResult"}}}}}}}}}
```

## POST /api/content/files/download

> Downloads the list of files that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectFiles":{"type":"object","properties":{"identifier":{"type":"string","format":"uuid","nullable":true},"origin":{"$ref":"#/components/schemas/Origin"},"filter":{"$ref":"#/components/schemas/QueryFilter"},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"nullable":true},"objectId":{"type":"string","format":"uuid","nullable":true},"organizationId":{"type":"string","format":"uuid","nullable":true},"userId":{"type":"string","format":"uuid","nullable":true},"fileIds":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"objectTypeExact":{"type":"string","nullable":true},"objectIdentifierContains":{"type":"string","nullable":true},"fileNameContains":{"type":"string","nullable":true},"documentNameContains":{"type":"string","nullable":true},"fileUploadedSince":{"type":"string","format":"date-time","nullable":true},"fileUploadedBefore":{"type":"string","format":"date-time","nullable":true},"hasClaims":{"type":"boolean","nullable":true}},"additionalProperties":false},"Origin":{"type":"object","properties":{"when":{"type":"string","format":"date-time"},"organization":{"type":"string","format":"uuid"},"user":{"type":"string","format":"uuid"},"proxy":{"type":"string","format":"uuid","nullable":true},"description":{"type":"string","nullable":true},"reason":{"type":"string","nullable":true},"source":{"type":"string","nullable":true}},"additionalProperties":false},"QueryFilter":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"sort":{"type":"string","nullable":true},"excludes":{"type":"string","nullable":true},"includes":{"type":"string","nullable":true},"format":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/content/files/download":{"post":{"tags":["Content API: Files"],"summary":"Downloads the list of files that match specific criteria","operationId":"downloadFiles","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectFiles"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectFiles"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectFiles"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectFiles"}}}},"responses":{"200":{"description":"OK"}}}}}}
```

## POST /api/content/files/search

> Searches for the list of files that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"SearchFiles":{"type":"object","properties":{"identifier":{"type":"string","format":"uuid","nullable":true},"origin":{"$ref":"#/components/schemas/Origin"},"filter":{"$ref":"#/components/schemas/QueryFilter"},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"nullable":true},"objectId":{"type":"string","format":"uuid","nullable":true},"organizationId":{"type":"string","format":"uuid","nullable":true},"userId":{"type":"string","format":"uuid","nullable":true},"fileIds":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"objectTypeExact":{"type":"string","nullable":true},"objectIdentifierContains":{"type":"string","nullable":true},"fileNameContains":{"type":"string","nullable":true},"documentNameContains":{"type":"string","nullable":true},"fileUploadedSince":{"type":"string","format":"date-time","nullable":true},"fileUploadedBefore":{"type":"string","format":"date-time","nullable":true},"hasClaims":{"type":"boolean","nullable":true}},"additionalProperties":false},"Origin":{"type":"object","properties":{"when":{"type":"string","format":"date-time"},"organization":{"type":"string","format":"uuid"},"user":{"type":"string","format":"uuid"},"proxy":{"type":"string","format":"uuid","nullable":true},"description":{"type":"string","nullable":true},"reason":{"type":"string","nullable":true},"source":{"type":"string","nullable":true}},"additionalProperties":false},"QueryFilter":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"sort":{"type":"string","nullable":true},"excludes":{"type":"string","nullable":true},"includes":{"type":"string","nullable":true},"format":{"type":"string","nullable":true}},"additionalProperties":false},"FileMatch":{"type":"object","properties":{"organizationId":{"type":"string","format":"uuid"},"organizationCode":{"type":"string","nullable":true},"objectType":{"type":"string","nullable":true},"objectId":{"type":"string","format":"uuid"},"fileId":{"type":"string","format":"uuid"},"fileLocation":{"type":"string","nullable":true},"fileName":{"type":"string","nullable":true},"documentName":{"type":"string","nullable":true},"fileSize":{"type":"integer","format":"int32"},"fileUploaded":{"type":"string","format":"date-time"},"userId":{"type":"string","format":"uuid"},"userFullName":{"type":"string","nullable":true},"hasClaims":{"type":"boolean"}},"additionalProperties":false}}},"paths":{"/api/content/files/search":{"post":{"tags":["Content API: Files"],"summary":"Searches for the list of files that match specific criteria","operationId":"searchFiles","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/SearchFiles"}},"application/json":{"schema":{"$ref":"#/components/schemas/SearchFiles"}},"text/json":{"schema":{"$ref":"#/components/schemas/SearchFiles"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/SearchFiles"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FileMatch"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FileMatch"}}}}}}}}}}
```

## POST /api/content/files

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CreateFile":{"type":"object","properties":{"approvedUserId":{"type":"string","format":"uuid","nullable":true},"fileId":{"type":"string","format":"uuid"},"lastActivityUserId":{"type":"string","format":"uuid","nullable":true},"objectId":{"type":"string","format":"uuid"},"organizationId":{"type":"string","format":"uuid"},"reviewedUserId":{"type":"string","format":"uuid","nullable":true},"userId":{"type":"string","format":"uuid"},"documentName":{"type":"string","nullable":true},"fileCategory":{"type":"string","nullable":true},"fileContentType":{"type":"string","nullable":true},"fileDescription":{"type":"string","nullable":true},"fileLocation":{"type":"string","nullable":true},"fileName":{"type":"string","nullable":true},"filePath":{"type":"string","nullable":true},"fileStatus":{"type":"string","nullable":true},"fileSubcategory":{"type":"string","nullable":true},"fileUrl":{"type":"string","nullable":true},"objectType":{"type":"string","nullable":true},"fileSize":{"type":"integer","format":"int32"},"approvedTime":{"type":"string","format":"date-time","nullable":true},"fileAlternated":{"type":"string","format":"date-time","nullable":true},"fileExpiry":{"type":"string","format":"date-time","nullable":true},"fileReceived":{"type":"string","format":"date-time","nullable":true},"fileUploaded":{"type":"string","format":"date-time"},"lastActivityTime":{"type":"string","format":"date-time","nullable":true},"reviewedTime":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"FileModel":{"type":"object","properties":{"approvedUserId":{"type":"string","format":"uuid","nullable":true},"fileId":{"type":"string","format":"uuid"},"lastActivityUserId":{"type":"string","format":"uuid","nullable":true},"objectId":{"type":"string","format":"uuid"},"organizationId":{"type":"string","format":"uuid"},"reviewedUserId":{"type":"string","format":"uuid","nullable":true},"userId":{"type":"string","format":"uuid"},"documentName":{"type":"string","nullable":true},"fileCategory":{"type":"string","nullable":true},"fileContentType":{"type":"string","nullable":true},"fileDescription":{"type":"string","nullable":true},"fileLocation":{"type":"string","nullable":true},"fileName":{"type":"string","nullable":true},"filePath":{"type":"string","nullable":true},"fileStatus":{"type":"string","nullable":true},"fileSubcategory":{"type":"string","nullable":true},"fileUrl":{"type":"string","nullable":true},"objectType":{"type":"string","nullable":true},"fileSize":{"type":"integer","format":"int32"},"approvedTime":{"type":"string","format":"date-time","nullable":true},"fileAlternated":{"type":"string","format":"date-time","nullable":true},"fileExpiry":{"type":"string","format":"date-time","nullable":true},"fileReceived":{"type":"string","format":"date-time","nullable":true},"fileUploaded":{"type":"string","format":"date-time"},"lastActivityTime":{"type":"string","format":"date-time","nullable":true},"reviewedTime":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"ValidationFailure":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/Problem"},"nullable":true}},"additionalProperties":false},"Problem":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true},"extensions":{"type":"object","additionalProperties":{"nullable":true},"nullable":true}},"additionalProperties":false}}},"paths":{"/api/content/files":{"post":{"tags":["Content API: Files"],"operationId":"createFile","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CreateFile"}},"application/json":{"schema":{"$ref":"#/components/schemas/CreateFile"}},"text/json":{"schema":{"$ref":"#/components/schemas/CreateFile"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CreateFile"}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FileModel"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationFailure"}}}}}}}}}
```

## Upload files (with content)

> Uploads one or more files to temporary storage for authenticated users or valid survey response sessions.

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"paths":{"/api/content/files/temp":{"post":{"tags":["Content API: Files"],"summary":"Upload files (with content)","description":"Uploads one or more files to temporary storage for authenticated users or valid survey response sessions.","parameters":[{"name":"responseId","in":"query","description":"Optional survey response identifier for unauthenticated respondents","schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}}}}
```

## Retrieve a file (content only)

> Retrieves the content for a specific file using its unique ID and filename. Performs authorization checks and&#x20;> \
> supports caching. It is important to note the caller must know the name of the file, in addition to its unique&#x20;> \
> ID, or the server will return a 404 Not Found - even if the ID is valid.

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"paths":{"/api/content/files/{id}/{name}":{"get":{"tags":["Content API: Files"],"summary":"Retrieve a file (content only)","description":"Retrieves the content for a specific file using its unique ID and filename. Performs authorization checks and \r\nsupports caching. It is important to note the caller must know the name of the file, in addition to its unique \r\nID, or the server will return a 404 Not Found - even if the ID is valid.","parameters":[{"name":"id","in":"path","description":"The unique identifier of the file to retrieve","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"name","in":"path","description":"The expected filename for validation purposes","required":true,"schema":{"type":"string"}},{"name":"download","in":"query","description":"Optional parameter: set to \"1\" to force download, otherwise file is displayed inline","schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}}}}
```
